@font-face {
        font-family: Negto;
       src: url('https://raw.githubusercontent.com/0xaphi/Negto_Font/main/Negto.ttf') format('truetype');
        line-height: 1.2em;
        }

html {
    scroll-behavior: smooth;
}

* {
    margin: 0;
    padding: 0;
}

h1, h2, h3 {
    font-family: Negto;
    margin-bottom: 2%;
}

p {
    font-family: Futura;
    line-height: 1.2em;
}

a {
    text-decoration: none;
    list-style: none;
}

body {
    margin: auto;
    background-color: #fffedb;

}

button {
    cursor: pointer;
}

.navi {
    position: fixed;
    z-index: 10;
}

.shop-list {
    width: 18%;
    height: 550px;
    background-color: #07916a;
    padding: 1%;
    box-sizing: border-box;
    border-radius: 10px;
    border: #02664a 3px solid;
    position: fixed;
    top: 30%;
    right: 1%;
}

.shop-list h2, p {
    color: #f3ce77;
    padding-bottom: 3%;
}

.shoplist-input {
    width: 100%;
    height: 75%;
    padding-top: 4%;
    border-radius: 5px;
    border: none;
    margin-top: 2%;
    background-color: #fffedb;
    padding-left: 1em;
    padding-top: 1em;
    line-height: 1.2em;
    box-sizing: border-box;
}

.shop-list button {
    background-color: #65b744;
    box-shadow: #007955 3px 3px inset;
    padding: 5% 7%;
    border-radius: 10px;
    border:none;
    float: right;
    margin-top: 5%;
    margin: auto;
    cursor: pointer;
    font-family: Futura;
}

.shop-list button:hover {
    background-color: #007955;
    color: #e6c953;
}

.main-content-garden, .main-content-tropical {
    background-color: #65b744;
    padding-top: 50px;
    max-width: 100%;
    margin: auto;
    margin-top: -10px;
}

.main-content-tropical {
    background-color: #65b744;
    padding-top: 50px;
    max-width: 100%;
    margin: auto;
    margin-top: -10px;
}

.main-content-garden .container {
    max-width: 75%;
    margin: auto;
}

.main-content-garden h1 {
    font-size: 3vw;
    text-align: center;
    color: #fffedb;
}

.main-content-tropical h1 {
    font-size: 3vw;
    padding-bottom: 2%;
    text-align: center;
    color: #fffedb;
}

.sort-by-btns button {
    background-color: #00835D;
    color: #fffedb;
    border: none;
    border-radius: 20px;
    width: 75%;
    height: 2em;
    font-family: Futura;
}

.type-button a {
    color: #fffedb;
}

.type-button a:link {
    color: #fffedb;
}

.type-button a:visited {
    color: #fffedb;
}

.type-button a:hover {
    color: #f3ce77;
}

.title-card {
    margin: auto;
    text-align: center;
    padding-top: 50px;
    width: 100%;
}

.title-card h1 {
    font-size: calc(1.5rem + 2vw);
    padding-top: 5%;
    color: #00835D;
}

.title-card .plant-type-options {
    padding: 2% 5%;
}

.title-card .plant-type-options label {
    font-family: Negto;
    color: #349c4c;
    font-size: calc(1rem + 0.5em);
}

.title-card .plant-type-options select {
    font-family: Futura;
    width: 20%;
    height: 2rem;
    background-color: #f3ce77;
    border-radius: 5px;
    border: solid 2px #00835D;
    color: #00835D;
    font-size: 1rem;
    padding: 2%;
    text-align: center;
}

.title-card .sort-by {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    width: 40%;
    margin: auto;
}

.title-card .sort-by-btns {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 33%;
    margin: auto;
}

.pot-buttons {
    width: 80%;
}

.row img {
    width: 80%;
}

.title-card .btn-row {
    display: flex;
    flex-direction: row;
    width: 20%;
    margin: auto;
    padding-top: 1%;
    padding-bottom: 2%;
}

.btn-row button {
    background-color: #349c4c;
    border: none;
    border-radius: 10px;
    color: #fffedb;
    width: 45%;
    height: 3em;
    margin: auto;
    font-family: Negto;
    font-size: 1.3em;
    box-shadow: #004a3e 2px 5px inset;
}

.btn-row button:hover {
    color: #f3ce77;
    background-color: #004a3e;
}

.main-content-garden {
    width: 100%;
    margin: auto;
    background-color: #65b744;
    margin-top: -10px;
}

.main-content-tropical {
    width: 100%;
    margin: auto;
    background-color: #00835D;
    margin-top: -10px;
}

.container, .container2 {
    column-count: 3;
    width: 60%;
}

.container2 {
    margin-top: -10px;
    margin: auto;
}

.col, .col2 {
    padding: 5%;
    margin: auto;
    width: 90%;
    text-align: center;
    box-sizing: border-box;
    border-radius: 20px;
    height: max-content;
    overflow-y: auto;
}

.col {
    background-color: #007955;
    color: #fffedb;
}

.col2 {
    background-color: #fffedb;
    color: #004a3e;
}

.col h2, .col2 h2 {
    font-size: 1.2em;
    padding: 10px 0;
    color: #ecc63f;
}

.col, img, .col2 img {
    width: 100%;
    margin: auto;
}

.footer {
    background-color: #00835D;
}

.footer a, .footer a:visited {
    color: #fffedb;
}

.footer a:hover {
    color: #f3ce77;
}

footer {
    background-color: #007955;
    color: rgb(170, 255, 127);
    height: 100px;
    font-size: 20px;
    align-items: center;
    list-style: none;
    list-style-type: none;
    text-decoration: none;
    display: flex;
    flex-direction: row;
    font-family: Negto;
    margin-top: -10px;
}


.footer .left-nav {
    list-style-type: none;
    text-decoration: none;
    width: 50%;
    justify-content: flex-start;
    display: flex;
    flex-direction: row;
    gap: 2%;
    align-items: center;
    margin-left: 20px;
}

.footer .right-nav {
    list-style: none;
    text-decoration: none;
    width: 50%;
    justify-content: flex-end;
    display: flex;
    flex-direction: row;
    gap: 2%;
    margin-right: 20px;
}

@media (max-width:850px) {
    
    .row {
        display: flex;
        flex-direction: column;

    }

   .container .col  p, .container2 .col p {
        font-size: 0.8rem;
    }

    button {
        font-size: 0.5em;
    }

    .title-card .btn-row {
        width: 75%;
    }

    .title-card .sort-by {
        width: 75%;
        margin: auto;
    }
    
    .col, .col2 {
        width: 90%;
        height: max-content;
        margin: auto;
    }

    .shop-list {
        display: none;
    }

    .container, .container2 {
        column-count: 1;
    }

    h1 {
        font-size: 1.5em;
    }

    footer {
        font-size:0.5em;
        height: 5em;
    }

    footer img {
        display: none;
    }
}